@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@400;700&display=swap');
/* Box Model Hack */
* {
  box-sizing: border-box;
}

/* Clear fix hack */
.clearfix:after {
     content: ".";
     display: block;
     clear: both;
     visibility: hidden;
     line-height: 0;
     height: 0;
}

.clear {
	clear: both;
}

/******************************************
/* BASE STYLES
/*******************************************/

body {
background-image: linear-gradient(to bottom right, #dfb, #224);
font-family: 'Roboto', sans-serif;
display: flex;
align-items: center;
justify-content: center;
height: 100vh;
overflow: hidden;
margin: 0;
}

.search {
  position: relative;
  height: 50px;
}

.search .input {
  background-color: white;
  border: 0;
  font-size: 18px;
  padding: 15px;
  height: 50px;
  width: 50px;
  transition: 0.3s ease;
}

.btn{
  background-color: #dfb;
  border: 0;
  cursor: pointer;
  font-size: 24px;
  position: absolute;
  top:0;
  left:0;
  height: 50px;
  width: 50px;
  transform: 0.3s ease;
}

.btn:focus, input:focus{
  outline:none;
}

.search.active .input{
  width: 200px;
}

.search.active .btn {
  transform: translateX(198px);
}

/******************************************
/* LAYOUT
/*******************************************/
header {

}

footer {

}

/******************************************
/* ADDITIONAL STYLES
/*******************************************/
